Summary: 	Round Robin Database Tools
Name: 		rrdtool
Version: 	1.2.30
Release: 	1
Copyright: 	GPL
Group: 		Libraries
Source: 	%{name}-%{version}.tar.gz
URL: 		http://ee-staff.ethz.ch/~oetiker/webtools/rrdtool/
BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It is pretty easy to gather status information from all sorts of things,
ranging from the temperature in your office to the number of octets which
have passed through the FDDI interface of your router. But it is not so
trivial to store this data in a efficient and systematic manner. This is
where RRDtool kicks in. It lets you log and analyze the data you gather from
all kinds of data-sources (DS). The data analysis part of RRDtool is based
on the ability to quickly generate graphical representations of the data
values collected over a definable time period.

%package 	devel
Summary:        Development libraries and header files for rrdtool
Group:          Development

%description 	devel
Development libraries and header files for rrdtool.

%prep
%setup -q

%build
%configure \
    --enable-shared \
    --with-tcllib=/usr/lib \
    --disable-nls \
    --with-perl-options="perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr"
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

make site-perl-install
pushd $RPM_BUILD_ROOT
rm -f `find -type f -name "perllocal.pod"`
rm -f `find -type f -name "*.bs"`
rm -f `find -type f -name .packlist`
popd

mkdir -p $RPM_BUILD_ROOT/usr/share/fonts
ln -sf /usr/share/%name/fonts $RPM_BUILD_ROOT/usr/share/fonts/%name

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin
/usr/lib/python2*
/usr/lib/%name
/usr/lib/perl5
/usr/lib/*.la
/usr/lib/*.so
/usr/lib/*.so.*
/usr/share/fonts
/usr/share/rrdtool/fonts

%files devel
%defattr(-,root,root)
/usr/include
/usr/lib/*.a
